# Kbilliards Class Reference

`#include <kbilliards.h>`

List of all members.

## Public Slots

void | slotAbout ()
void | slotAboutKDE ()
void | throw_ball ()
void | newGame ()
void | confdialog ()
void | saveSettings ()
void | viewScores ()
void | clock ()

## Signals

void | PBsignal (int)

## Public Member Functions

| Kbilliards (QWidget *parent=0, const char *name=0)
| ~Kbilliards ()
void | placeedgeobjects ()
void | keyPressEvent (QKeyEvent *)
void | placeballs (int, int)
void | BallinHole (int)
void | loadSettings ()
void | winner ()

## Public Attributes

Configuration | defaultconfig
Configuration | actualconfig
MusicConfiguration | actualmusicconfig
KMenuBar * | menu
KStatusBar * | status
KToolBar * | toolbar
ThrowVector * | throwvector
QList< Ball > | ingameballs
QList< Ball > | outgameballs
QList< EdgeObject > | edgeobjects
int | Score
QLCDNumber * | ScoreDisplay
bool | PowerBarFlag
double | MaxThrowPower
KConfigBase * | config
int | nextBallseq
bool | ballinhole
bool | checkballstatus
SoundModule * | Music

## Protected Slots

void | move_left_vector ()
void | move_right_vector ()

## Protected Member Functions

void | timerEvent (QTimerEvent *)

## Protected Attributes

QCanvas * | canvas
QCanvasView * | BilliardArea
EdgeObject * | holetl
EdgeObject * | holetc
EdgeObject * | holetr
EdgeObject * | holebl
EdgeObject * | holebc
EdgeObject * | holebr
Ball * | whiteball
int | gamestatus

## Detailed Description

Kbilliards is the base class of the project

## Constructor & Destructor Documentation

Kbilliards::Kbilliards | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| construtor

Kbilliards::~Kbilliards | ( |  | ) |

| destructor

## Member Function Documentation

void Kbilliards::BallinHole | ( | int |  | ) |

| No descriptions

void Kbilliards::clock | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::confdialog | ( |  | ) | `[slot]`

| show configuration window dialog

void Kbilliards::keyPressEvent | ( | QKeyEvent * |  | ) |

| No descriptions

void Kbilliards::loadSettings | ( |  | ) |

| No descriptions

void Kbilliards::move_left_vector | ( |  | ) | `[protected, slot]`

| No descriptions

void Kbilliards::move_right_vector | ( |  | ) | `[protected, slot]`

| No descriptions

void Kbilliards::newGame | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::PBsignal | ( | int |  | ) | `[signal]`

| No descriptions

void Kbilliards::placeballs | ( | int | ,
|  | int |
| ) |

| No descriptions

void Kbilliards::placeedgeobjects | ( |  | ) |

| No descriptions

void Kbilliards::saveSettings | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::slotAbout | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::slotAboutKDE | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::throw_ball | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::timerEvent | ( | QTimerEvent * |  | ) | `[protected]`

| No descriptions

void Kbilliards::viewScores | ( |  | ) | `[slot]`

| No descriptions

void Kbilliards::winner | ( |  | ) |

| No descriptions

## Member Data Documentation

int Kbilliards::gamestatus `[protected]`

| 0 - game not running 1 - game started and running

EdgeObject* Kbilliards::holetl `[protected]`

| holes

bool Kbilliards::PowerBarFlag

| true if PowerBar is active

Ball* Kbilliards::whiteball `[protected]`

| balls

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/kbilliards.h
- /home/samy/kbilliards/debug/src/kbilliards.moc.cpp
- /home/samy/kbilliards/src/kbilliards.cpp